Changes
=======

# 0.15.0 / 2020-12-10

* [FEATURE] Allow skipping SSL verification [#130][]

# 0.14.0 / 2020-11-09

* [MISC] Update dogapi gem dependency from 1.38 to 1.42. [#124][]
* [MISC] Update rack gem dependency from 2.0.8 to 2.2.3. [#123][]

# 0.13.0 / 2020-01-10

* [MISC] Update dogapi gem version constraint and fix tests. [#119][]
* [MISC] Use a single test Gemfile. [#117][]
* [MISC] Move tests to CircleCI. [#116][]

# 0.12.3 / 2019-11-19

* [FEATURE] Use `api_url` to send Chef related data to extra endpoints. [#113][] [@Azoam][]

# 0.12.2 / 2019-10-23

* [OPTIMIZE] Rescue all errors when sending/emitting from the handler. [#98][] [@borgstrom][]

# 0.12.1 / 2019-09-30

* [BUGFIX] Fix standard error rescue in metrics sender. [#109][] [@rmoriz][]

# 0.12.0 / 2019-05-27

**This version drops the support of Chef < 12.7**

* [FEATURE] Support `site` configuration option to use either datadoghq.com or datadoghq.eu [#103][] [@remeh][]
* [OPTIMIZE] Drop support of Chef < 12.7 and clean up for Chef 13, 14 and 15 compatibility. [#101][] [#104][] [@martinisoft][]
* [BUGFIX] Improve error handling and logging when submitting data. [#102][] [@olivielpeau][]

# 0.11.0 / 2017-02-21

* [FEATURE] Send policy name and group tags if they exist (opt-in) [#90][] & [#97][] [@david-ds][] & [@olivielpeau][]
* [BUGFIX] Improve detection of compile time error before sending event [#96][] [@olivielpeau][] (thanks [@DanielRedOak][] and [@andrewjamesbrown][])
* [BUGFIX] Remove spurious `puts` debug statement [#93][] [@kingpong][]

# 0.10.0 / 2016-09-20

* [FEATURE] Allow passing `scope_prefix` param that prefixes env and role tags [#82][] [@DanielMuller][]
* [FEATURE] Support regex tag blacklist [#86][] [@ABrehm264][]
* [FEATURE] Support multiple endpoints [#87][] [@degemer][]
* [OPTIMIZE] Always emit success and failure metrics [#89][] [@devonbleak][]

# 0.9.0 / 2016-03-22

* [FEATURE] Enable users to select tag prefix [#81][] [@mstepniowski][]

# 0.8.0 / 2016-03-01

* [FEATURE] Add success/failure metric [#75][] [@jhulten][]
* [FEATURE] Retry tags submission when host is not yet present on DD [#80][] [@olivielpeau][]
* [OPTIMIZE] Ensure tags always returns an array [#78][] [@rlaveycal][]
* [OPTIMIZE] More robust failed chef run checking [#69][] [@bigbam505][]

# 0.7.0 / 2015-10-22

* [FEATURE] Support passing `DATADOG_PROXY` env var to control `dogapi` behavior, [#65][] [@datwiz][]
* [OPTIMIZE] Only map `tags` if non-nil, [#66][] [@owen][]
* [MISC] Style updates, [#60][] [@miketheman][]
* [MISC] Update test matrix to handle latest released major versions, [#59][] [@miketheman][]

# 0.6.0 / 2014-09-17

* [FEATURE] Submit Chef-related tags to Datadog for Events, [#52][] [@miketheman][]

# 0.5.0 / 2014-08-21

* [FEATURE] Place recent updated resources above stacktrace on failure, [#46][] [@miketheman][]
* [BUGFIX] Handle cases where Chef fails during compile phase, [#51][] [@miketheman][]
* [FEATURE] Allow credentials to be passed as string keys vs symbols, [#50][] [@dwradcliffe][]
* [MISC] Testing framework updates, [@miketheman][]
* [MISC] Doc updates

# 0.4.0 / 2014-05-08

* [FEATURE] Allow specification of a `:hostname` to config to override `node.name`, [#41][] [@miketheman][]
* [FEATURE] Allow passing an array of handles in config to alert when Chef fails, [#29][] [@miketheman][]
* [OPTIMIZE] Use new version of `dogapi` lib to submit tags for Chef only, [#28][] [@miketheman][]
* [MISC] Updated versions of Chef tested
* [MISC] Style update for source file name, parens

# 0.3.0 / 2014-01-23

* [MISC] **Breaking Change**: Chef 0.9.x is no longer supported. Extra code implemented for 0.9 versions has been removed. [@miketheman][]
* [BUGFIX] Report correct response when failing to submit tags, [#39][] [@miketheman][]
* [OPTIMIZE] Refactor hostname resolution to its own method, simplify `report` method. [@miketheman][]
* [OPTIMIZE] Refactor metrics reporting to its own method, simplify `report` method. [@miketheman][]
* [OPTIMIZE] Refactor tagging get/set to own methods, simplify `report` method. [@miketheman][]
* [MISC] Converted `opts` to an instance variable of `config` to reduce the amount of instance variables passing around. [@miketheman][]
* [OPTIMIZE] Don't try to tag node when Application Key isn't provided, [#31][] [@miketheman][]
* [OPTIMIZE] Only load in the parts of the Chef gem that are used. [@miketheman][]
* [OPTIMIZE] Change order in which event_data is constructed, to not lose the full backtrace, [#37][] [@miketheman][]

Testing suite: [#18][], [@miketheman][]
* Removed Tailor testing in favor of Rubocop
* Added Appraisals with specific Chef versions to be tested
* Added RSpec testing via VCR and Webmock

# 0.2.0 / 2013-10-31

* [BUGFIX] moved Chef gem dependency to development, [#34][] [@miketheman][]
* [BUGFIX] redis python client check was not properly checking the default version, [@remh][]
* [MISC] tailor 1.3.1 caught some cosmetic issue, [@alq][]
* [MISC] fixed a few repo & build issues, [@miketheman][]

# 0.1.2 / 2013-04-03

And all other versions were prior to this. See git history for more.

<!--- The following link definition list is generated by PimpMyChangelog --->
[#18]: https://github.com/DataDog/chef-handler-datadog/issues/18
[#28]: https://github.com/DataDog/chef-handler-datadog/issues/28
[#29]: https://github.com/DataDog/chef-handler-datadog/issues/29
[#31]: https://github.com/DataDog/chef-handler-datadog/issues/31
[#34]: https://github.com/DataDog/chef-handler-datadog/issues/34
[#37]: https://github.com/DataDog/chef-handler-datadog/issues/37
[#39]: https://github.com/DataDog/chef-handler-datadog/issues/39
[#41]: https://github.com/DataDog/chef-handler-datadog/issues/41
[#46]: https://github.com/DataDog/chef-handler-datadog/issues/46
[#50]: https://github.com/DataDog/chef-handler-datadog/issues/50
[#51]: https://github.com/DataDog/chef-handler-datadog/issues/51
[#52]: https://github.com/DataDog/chef-handler-datadog/issues/52
[#59]: https://github.com/DataDog/chef-handler-datadog/issues/59
[#60]: https://github.com/DataDog/chef-handler-datadog/issues/60
[#65]: https://github.com/DataDog/chef-handler-datadog/issues/65
[#66]: https://github.com/DataDog/chef-handler-datadog/issues/66
[#69]: https://github.com/DataDog/chef-handler-datadog/issues/69
[#75]: https://github.com/DataDog/chef-handler-datadog/issues/75
[#78]: https://github.com/DataDog/chef-handler-datadog/issues/78
[#80]: https://github.com/DataDog/chef-handler-datadog/issues/80
[#81]: https://github.com/DataDog/chef-handler-datadog/issues/81
[#82]: https://github.com/DataDog/chef-handler-datadog/issues/82
[#86]: https://github.com/DataDog/chef-handler-datadog/issues/86
[#87]: https://github.com/DataDog/chef-handler-datadog/issues/87
[#89]: https://github.com/DataDog/chef-handler-datadog/issues/89
[#90]: https://github.com/DataDog/chef-handler-datadog/issues/90
[#93]: https://github.com/DataDog/chef-handler-datadog/issues/93
[#96]: https://github.com/DataDog/chef-handler-datadog/issues/96
[#97]: https://github.com/DataDog/chef-handler-datadog/issues/97
[#98]: https://github.com/DataDog/chef-handler-datadog/issues/98
[#101]: https://github.com/DataDog/chef-handler-datadog/issues/101
[#102]: https://github.com/DataDog/chef-handler-datadog/issues/102
[#103]: https://github.com/DataDog/chef-handler-datadog/issues/103
[#104]: https://github.com/DataDog/chef-handler-datadog/issues/104
[#109]: https://github.com/DataDog/chef-handler-datadog/issues/109
[#113]: https://github.com/DataDog/chef-handler-datadog/issues/113
[#116]: https://github.com/DataDog/chef-handler-datadog/issues/116
[#117]: https://github.com/DataDog/chef-handler-datadog/issues/117
[#119]: https://github.com/DataDog/chef-handler-datadog/issues/119
[#123]: https://github.com/DataDog/chef-handler-datadog/issues/123
[#124]: https://github.com/DataDog/chef-handler-datadog/issues/124
[#130]: https://github.com/DataDog/chef-handler-datadog/issues/130
[@ABrehm264]: https://github.com/ABrehm264
[@Azoam]: https://github.com/Azoam
[@DanielMuller]: https://github.com/DanielMuller
[@DanielRedOak]: https://github.com/DanielRedOak
[@alq]: https://github.com/alq
[@andrewjamesbrown]: https://github.com/andrewjamesbrown
[@bigbam505]: https://github.com/bigbam505
[@borgstrom]: https://github.com/borgstrom
[@datwiz]: https://github.com/datwiz
[@david-ds]: https://github.com/david-ds
[@degemer]: https://github.com/degemer
[@devonbleak]: https://github.com/devonbleak
[@dwradcliffe]: https://github.com/dwradcliffe
[@jhulten]: https://github.com/jhulten
[@kingpong]: https://github.com/kingpong
[@martinisoft]: https://github.com/martinisoft
[@miketheman]: https://github.com/miketheman
[@mstepniowski]: https://github.com/mstepniowski
[@olivielpeau]: https://github.com/olivielpeau
[@owen]: https://github.com/owen
[@remeh]: https://github.com/remeh
[@remh]: https://github.com/remh
[@rlaveycal]: https://github.com/rlaveycal
[@rmoriz]: https://github.com/rmoriz